/* COLORS */

body.list-screen {background: white;}
body.list-screen #list-title {color: var(--color-main-1);}
body.list-screen #add-button {background-color: darkgreen;}
body.list-screen #inactives-button {background-color: orange;}
body.list-screen .secondary-button {background-color: orange;}
body.list-screen #list-table {border-color: var(--color-main-2);}
body.list-screen #list-table th .sort-arrow {color: darkblue;}
body.list-screen #list-table td {border-top-color: lightgray;}
body.list-screen #list-table .linked {color: darkblue;}
body.list-screen #magnifier {color: darkblue;}
body.list-screen .table-data {color: black;}
body.list-screen .inactive-flag {background: orange; color: white; border-color:darkorange}
body.list-screen .button {color: white;}
body.list-screen .yes {color: green;}
body.list-screen .no {color: red;}
body.list-screen #footer-content {color: var(--color-main-1);}

body.detail-screen {background: #ececec; color: black;}
body.detail-screen .help-icon {color: darkblue;}
body.detail-screen .inactive-flag {color: darkred; border-color: darkred;}
body.detail-screen .linked {color: blue;}
body.detail-screen .field-label {color: #888;}
body.detail-screen .field-value {color: #00008B;}
body.detail-screen #button-edit {color: white; background-color: darkblue; border-color: black;}
body.detail-screen #footer-content {color: black;}

body.edit-screen {background: #456287; color: yellow;}
body.edit-screen .help-icon {color: yellow;}
body.edit-screen #message {background: #F88; color: #FFF; border-color: #B00;}
body.edit-screen #button-log {color: brown;}
body.edit-screen #button-delete {color: black;}
body.edit-screen #button-cancel {color: red;}
body.edit-screen #button-save {color: darkgreen;}
body.edit-screen #delete-modal-cancel {background-color: #ccc; color: black;}
body.edit-screen #delete-modal-confirm {background-color: #f44336; }
body.edit-screen #save-confirmation-modal-cancel {background-color: #ccc; color: black;}
body.edit-screen .field-input-invalid {background: #F88; color: #FFF; border-color: #B00;}
body.edit-screen .field-input-updated {background: lightyellow; color: #000; }

body.log-screen #title {color: var(--color-main-1);}
body.log-screen #object-name {color: var(--color-main-1);}
body.log-screen #inner-content { border-color: var(--color-main-2); }
body.log-screen #log-entry-table td {border-bottom-color: #AAA;}
body.log-screen #log-filter-icon {color: darkblue;}

.modal-mask {background-color: rgba(0,0,0,.75);}
.modal-content {color: black; background-color: #fefefe;}
.modal-button,
.modal-button-yes {background-color: #4CAF50; color: white;}
.modal-button-no {background-color: #9E1C1C; color: white;}

.dialog-box-mask {background-color: rgba(0,0,0,.75);}
.dialog-box-message-box {color: black; background-color: #fefefe;}

.hover-text {background-color: black; color: #fff;}

.context-menu {background-color: #CCC;}
.context-menu-item:hover {color: #00B;}

#top-menu {background: var(--color-main-1); border-color: var(--color-main-2);}
#top-menu-site-name {color: var(--color-font-1);}
.top-menu-item a:visited {color: var(--color-font-1);}
.top-menu-dropdown-content {background: var(--color-main-1);}
.top-menu-dropdown-item,
.top-menu-dropdown-item:hover .top-menu-icon,
.top-menu-dropdown-item:hover .top-menu-item-label,
.top-menu-dropdown:hover .top-menu-item,
.top-menu-dropdown-item:hover a:visited {color: var(--color-main-3);}
#top-menu-items,
.top-menu-icon,
.top-menu-dropdown-item a:visited,
.top-menu-item-label {color: var(--color-font-1);}

#gen-edit-message {background: #F88; color: #FFF;}
#gen-edit-button-save {color: darkgreen;}
#gen-edit-button-delete {color: black;}
#gen-edit-button-cancel {color: red;}
#gen-edit-delete-confirmation-modal-cancel {background-color: #ccc; color: black;}
#gen-edit-delete-confirmation-modal-confirm {background-color: #f44336; }
#gen-edit-save-confirmation-modal-cancel {background-color: #ccc; color: black;}
.gen-edit-field-input-invalid {background: #F88; color: #FFF; border-color: #B00;}
